Bug 248381 - databases/redis: sentinel mode not configurable in rc.conf
Summary: databases/redis: sentinel mode not configurable in rc.conf
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sergey A. Osokin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-31 09:31 UTC by Lars Liedtke
Modified: 2021-02-25 10:34 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (osa)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Liedtke 2020-07-31 09:31:06 UTC
Hello,

while it is possible to run multiple instances of redis via rc.conf, redis sentinel mode (https://redis.io/topics/sentinel) is not configurable and thus redis cannot automatically started in sentinel mode.

While this also should be configurable in redis.conf and not only by starting it via `redis --sentinel` (see https://github.com/redis/redis/issues/7596), momentarily it is not possible to start it otherwise than calling it from the commandline.

Cheers
Lars
Comment 1 Lars Liedtke 2020-07-31 09:33:57 UTC
On Ubuntu they have an extra package to install and start sentinel, but I think this is not necessary when introduction an additional rc.conf variable.
Comment 2 Sergey A. Osokin freebsd_committer 2021-02-24 18:20:44 UTC
Hi Lars,

thanks for the report.

The redis ports from databases category (redis, redis4, redis5, redis-devel) contain the sentinel script committed by the following request, https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=204025

The following knobs are available to configure and run sentinel:

sentinel_enable="NO"
sentinel_user="redis"
sentinel_config="/usr/local/etc/$name.conf"

Is there anything else can be added to improve quality of this script?

Thanks.
Comment 3 Lars Liedtke 2021-02-25 10:34:38 UTC
Hey Sergey,

thank you very much.
Just from looking at it, it seems good and enough for me. But unformtunately I have no time testing it at the moment. But I think, we can close this report. If I have time and might find more problems, I'll open a new report.

Cheers
Lars